The future of SPDocKit and SharePoint 2007

Over the years, we’ve worked hard on SPDocKit in the hope of keeping our customers happy and satisfied. When developing new features, we haven’t forgotten our customers who use SharePoint 2007, either.

We’ve always tried to develop all of our features to be compatible with SharePoint 2007, 2010, 2013 and now for 2016. Please note that there are certain differences among those features depending on which SP version you use.

Blog_2007-50

We would like to inform you that all upcoming SPDocKit versions from version 6 onward, will no longer be compatible with SharePoint 2007. SPDocKit’s newly developed features will only work with SharePoint 2010, 2013 and 2016.

However, we will still offer full support for SharePoint 2007 through SPDocKit 5 with new releases in order to fix any features that might be causing issues. So don’t hesitate to contact us at any time!